Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IPrice

All Superinterfaces:
  IBasicPrice, IRuntimeNode

All Known Subinterfaces:
  IBomItem

All Known Implementing Classes:
  BomNode, PricedNode, StateCountNode

public interface IPrice
extends IBasicPrice

Implemented by objects that can be priced. This interface contains methods for getting list, discount, and extended prices, and methods to retrieve pricing errors/warnings/messages.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`java.lang.Object` | `getBaselineQuantity()` Returns the value restored from IB
`java.lang.Object` | `getDeltaQuantity()` Returns the difference between current Value and Value restored from IB
`double` | `getDiscountedPrice()` Gets discounted price of item based on adjustments associated with price list specified in initParameters.
`java.lang.String` | `getDiscountedPricingNotifications()` Returns strings containing any pricing messages, warnings, or errors when asking selling price/discounted price
`double` | `getExtendedPrice()` Calculates extended price of item (quantity * discounted price).
`java.lang.String` | `getItemKey()` Returns item key for items imported from Oracle Inventory / BOM.
`java.lang.String` | `getPricingNotifications()` Returns string containing any pricing messages, warnings, or errors.
`java.lang.String` | `getUomCode()` Returns unit of measure code for items imported from Oracle Inventory/ BOM.

Methods inherited from interface oracle.apps.cz.cio.IBasicPrice
`addListPricingNotification, getComponentCode, getInventoryItemId, getListPrice, getListPricingNotifications, getOrganizationId, getPricedNodeID, getValue, hasInventoryItemId, hasListPrice, setListPrice`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getDiscountedPrice

    public double getDiscountedPrice()
                              throws PricingUnavailableException,
                                     NonPricedNodeException

  Gets discounted price of item based on adjustments associated with price list specified in initParameters.
    `PricingUnavailableException`
    `NonPricedNodeException`

### getExtendedPrice

    public double getExtendedPrice()
                            throws PricingUnavailableException,
                                   NonPricedNodeException

  Calculates extended price of item (quantity * discounted price).
    `PricingUnavailableException`
    `NonPricedNodeException`

### getPricingNotifications

    public java.lang.String getPricingNotifications()

  Returns string containing any pricing messages, warnings, or errors.

### getDiscountedPricingNotifications

    public java.lang.String getDiscountedPricingNotifications()

  Returns strings containing any pricing messages, warnings, or errors when asking selling price/discounted price

### getItemKey

    public java.lang.String getItemKey()

  Returns item key for items imported from Oracle Inventory / BOM. Item key is constructed from BOM_EXPLOSIONS field values: "[COMPONENT_CODE]:[EXPLOSION_TYPE]:[ORGANIZATION_ID]:[TOP_ITEM_ID]" Item key may be used by PL/SQL pricing procedures to price nodes. Returns null if node was not imported from Oracle Inventory / BOM.

### getUomCode

    public java.lang.String getUomCode()

  Returns unit of measure code for items imported from Oracle Inventory/ BOM. The unit of measure may be used by PL/SQL pricing procedures to price nodes. Returns null if node was not imported from Oracle Inventory / BOM.

### getBaselineQuantity

    public java.lang.Object getBaselineQuantity()

  Returns the value restored from IB
  Returns:
    Object Numeric value (Integer or Double) restored from IB.

### getDeltaQuantity

    public java.lang.Object getDeltaQuantity()

  Returns the difference between current Value and Value restored from IB
  Returns:
    Object Numeric difference value (Integer or Double)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.